Bug 1668078 - python-jsonschema-3.0.0b1 is available
Summary: python-jsonschema-3.0.0b1 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-jsonschema
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-21 21:06 UTC by Upstream Release Monitoring
Modified: 2019-01-23 17:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-22 15:15:49 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-01-21 21:06:30 UTC
Latest upstream release: 3.0.0a6
Current version/release in rawhide: 2.6.0-5.fc29
URL: https://pypi.python.org/pypi/jsonschema

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3898/

Comment 1 Upstream Release Monitoring 2019-01-21 23:06:27 UTC
Latest upstream release: 3.0.0b1
Current version/release in rawhide: 2.6.0-5.fc29
URL: https://pypi.python.org/pypi/jsonschema

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3898/

Comment 2 Fabio Valentini 2019-01-22 15:15:49 UTC
I have successfully built version 3.0.0b1 for rawhide:
https://koji.fedoraproject.org/koji/taskinfo?taskID=32192530

Comment 3 Elliott Sales de Andrade 2019-01-22 23:14:14 UTC
Something weird is going on with this update in koschei: https://apps.fedoraproject.org/koschei/package/python-nbformat?collection=f30

Comment 4 Fabio Valentini 2019-01-22 23:33:59 UTC
Ah, I know what's going on. The errror is actually in the pyrsistent package, where somehow the dependency generator didn't work right for the last build, and so the python3dist(pyrsistent) Provides are missing from that build.

In a related note, I've submitted a PR against pyrsistent to update it to the latest version and re-enable the test suite, and that build (should it get merged and submitted) should contain the fixed Provides (at least it works in local builds).

Comment 5 Fabio Valentini 2019-01-23 17:02:56 UTC
After asking the pyrsistent maintainer for permission, I've pushed an updated build of python-pyrsistent to rawhide, which should fix the dependency issues:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1181757

If there's anything else, just ping me.


Note You need to log in before you can comment on or make changes to this bug.